POST /api/bots/{botId}/memory/records
curl --request POST \
--url https://app.worksong.ai/api/bots/{botId}/memory/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"projectKey": "<string>",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>"
}
'import requests
url = "https://app.worksong.ai/api/bots/{botId}/memory/records"
payload = {
"content": "<string>",
"projectKey": "<string>",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
projectKey: '<string>',
roomId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
whatsappJid: '<string>',
whatsappPersonName: '<string>'
})
};
fetch('https://app.worksong.ai/api/bots/{botId}/memory/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/bots/{botId}/memory/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'projectKey' => '<string>',
'roomId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'whatsappJid' => '<string>',
'whatsappPersonName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/bots/{botId}/memory/records"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/bots/{botId}/memory/records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/bots/{botId}/memory/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "bot",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>",
"content": "<string>",
"createdBy": "user",
"createdByBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceConversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Memory
POST /api/bots/{botId}/memory/records
POST
/
api
/
bots
/
{botId}
/
memory
/
records
POST /api/bots/{botId}/memory/records
curl --request POST \
--url https://app.worksong.ai/api/bots/{botId}/memory/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"projectKey": "<string>",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>"
}
'import requests
url = "https://app.worksong.ai/api/bots/{botId}/memory/records"
payload = {
"content": "<string>",
"projectKey": "<string>",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
projectKey: '<string>',
roomId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
whatsappJid: '<string>',
whatsappPersonName: '<string>'
})
};
fetch('https://app.worksong.ai/api/bots/{botId}/memory/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/bots/{botId}/memory/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'projectKey' => '<string>',
'roomId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'whatsappJid' => '<string>',
'whatsappPersonName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/bots/{botId}/memory/records"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/bots/{botId}/memory/records")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/bots/{botId}/memory/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"projectKey\": \"<string>\",\n \"roomId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"whatsappJid\": \"<string>\",\n \"whatsappPersonName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "bot",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roomId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectKey": "<string>",
"whatsappJid": "<string>",
"whatsappPersonName": "<string>",
"content": "<string>",
"createdBy": "user",
"createdByBotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceConversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
bot, user, project, room Maximum string length:
200000Required string length:
1 - 120Pattern:
^[\p{L}\p{N}][\p{L}\p{N}._-]*$Maximum string length:
128Pattern:
^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$Required string length:
1 - 200Response
Success
Available options:
bot, user, project, room Maximum string length:
120Maximum string length:
128Pattern:
^[0-9A-Za-z._:-]{1,100}@(s\.whatsapp\.net|g\.us|lid)$Required string length:
1 - 200Maximum string length:
200000Available options:
user, agent, system Required range:
x <= 9007199254740991